Subject: Re: Using GCC
From: [email-masked] (Charles Curley)

26 Oct 1997 06:51:20 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Alex <[email-masked]>
Cc: [email-masked]

At 13:18 25/10/97 -0700, Alex wrote:
>
>
>On Sat, 25 Oct 1997, Fernandes, Hilton wrote:
>
>> Win32 is supposed to be a real operating system, so it won't let you access
>> the hardware directly in an application program.  As far as i know, if you
>> really need to do this, you have to write a device driver. 
>> 
>> That means inp and outp are not available in gnu-win32.
>
>Although dangerous, couldn't someone right a device driver that would
>allow you to use inp and outp?

Sure. Why don't you?

If the inputs to the device driver are port or port and count (for reads)
and port and datum or port, pointer to data and count (for writes) I think
you would have a nice generic testbed driver. I think I'd put some range
checks on it so I don't shoot myself in the foot with it.

Next question, for the folks who know Cygwin better than I: does Cygwin GCC
include the tools necessary to make a device driver?

		-- C^2

Looking for fine software and/or web pages?
http://web.idirect.com/~ccurley
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".